LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;
ENTITY counter1 IS
	PORT(
		CLK,T		: IN	STD_LOGIC;
		C,ST		: OUT 	STD_LOGIC);
END;
ARCHITECTURE rtl OF counter1 IS
signal Si	: integer range 0 to 9600;
	BEGIN
	PROCESS (CLK,T)
		BEGIN
		IF (CLK'event and CLK='1') then
			if (T='1') then
				if (Si=0) then
				C <='1';
				Si<=Si+1;
				elsif (Si=9599) then
				ST <= '1';
				Si <= Si+1;
				elsif (Si=9600) then
				C <='0';
				ST <= '0';
				else
				Si <= Si+1;
				end if;
			else
				Si <= 0;
			end if;
		end if;
	END PROCESS;
END rtl;

